/* dll_init.c
**
** Authentication/Initialization procedures for the
** dynamically loadable procedures.
**
*/
#include <stdlib.h>
#include <string.h>

#include "prefs.h"

/* Any DBIF module must have this procedure, identifying it as a TRUE
** VxMail database interface module
*/
const char *dbif_modid (void) {
    return "VxMail DBIF loadable module";
}

/* Any DBIF module must have this procedure, ensuring it has a version
** number which corresponds to the VxMail-version which uses it.
*/
const char *dbif_modver (void) {
    return VXMAIL_VERSION;
}

/* ELF shared objects have their own global variables; this leads to the
** problem that the configuration doesn't match that one loaded from the
** configuration file; on the other side, the database interface uses
** the global variable `prefs' (- it's members).
** In order to have a consistent configuration, one must copy the confi-
** guration from the main program into the `prefs'-variable of the
** database interface. For this reason, the following procedure must be
** member of each database interface.
*/
void dbif_copyprefs (struct preferences *oprefs)
{
    memcpy (&prefs, oprefs, sizeof (struct preferences));
}

